curl --request GET \
--url 'https://api.benzinga.com/api/v2.1/calendar/economics?token=' \
--header 'accept: <accept>'import requests
url = "https://api.benzinga.com/api/v2.1/calendar/economics?token="
headers = {"accept": "<accept>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {accept: '<accept>'}};
fetch('https://api.benzinga.com/api/v2.1/calendar/economics?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"economics": [
{
"actual": "",
"actual_t": "%",
"consensus": "",
"consensus_t": "",
"country": "USA",
"date": "2026-03-08",
"description": "Challenger Job Cuts (YoY) report tracks the percentage change in layoffs reported by employers during a given month compared to the same month of the previous year. This report is used by investors and analysts to gauge the strength of the labor market and make informed decisions about their investments. The data in this report can also impact the value of the US dollar, with higher than expected numbers being seen as negative and lower than expected numbers being seen as positive.",
"event_category": "Employment",
"event_name": "Challenger Job Cuts (YoY)",
"event_period": "",
"id": "6745790147f2830001365a27",
"importance": 1,
"notes": "",
"period_year": 2026,
"prior": "",
"prior_t": "%",
"time": "02:30:09",
"updated": 1736341667
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Economics
Returns economic calendar data including economic indicators, releases, and reports from various countries. Includes actual values, consensus estimates, and prior values for economic events such as GDP, employment data, inflation metrics, and more.
{
"economics": [
{
"actual": "",
"actual_t": "%",
"consensus": "",
"consensus_t": "",
"country": "USA",
"date": "2026-03-08",
"description": "Challenger Job Cuts (YoY) report tracks the percentage change in layoffs reported by employers during a given month compared to the same month of the previous year. This report is used by investors and analysts to gauge the strength of the labor market and make informed decisions about their investments. The data in this report can also impact the value of the US dollar, with higher than expected numbers being seen as negative and lower than expected numbers being seen as positive.",
"event_category": "Employment",
"event_name": "Challenger Job Cuts (YoY)",
"event_period": "",
"id": "6745790147f2830001365a27",
"importance": 1,
"notes": "",
"period_year": 2026,
"prior": "",
"prior_t": "%",
"time": "02:30:09",
"updated": 1736341667
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Authorizations
Headers
Specifies return format. Query parameters work the same for both formats
application/json Query Parameters
Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date
Number of results returned. Limit 1000
x <= 1000Date to query for calendar data. Shorthand for date_from and date_to if they are the same. Defaults for latest
Date to query from point in time
Date to query to point in time
The importance level to filter by. Uses Greater Than or Equal To the importance indicated
1, 2, 3 Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated
3-Digit Country Code (e.g., USA, CAN, GBR)
One or more event name prefixes separated by a comma (e.g., CPI matches CPI, CPI (MoM), CPI (Mom) - Prelim)
One or more categories separated by a comma
Response
success
API response containing an array of economic event records
Show child attributes
Show child attributes
Was this page helpful?